<?php

class EFDecimal extends AppElementoFormulario
{
	protected  $decimales = 2; 
	
	public function  __construct($spec,$options=null){
		parent::__construct($spec, $options);
		$validador = new Zend_Validate_Float();
		$validador->setMessage("'%value%' no es un Decimal");
		$this->addValidator($validador);
		
	}
	
	public function setDecimales($decimales){
		$this->decimales = $decimales;
		$paso = 1;
		if($decimales >0){
			$paso = 1/pow(10 ,$decimales);
		}
		$this->setAttrib('step', $paso);
		
		
	}
	
	public function setMaximo($maximo){
		$validador = new VLDMaximo($maximo, 'El valor no puede ser mayor de '.$maximo);
		$this->addValidator($validador);
	}
	public function  setMenorQue(AppElementoFormulario $elemento, $mensaje){
		$validador = new VLDMenorQue($elemento->getName(), $mensaje);
		$this->addValidator($validador);
	}
	
	/**
	 * Default form view helper to use for rendering
	 * @var string
	 */
	public $helper = 'formNumero';
}